
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand">MyApp</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
      
        <li class="nav-item active">
          <a class="nav-link" routerLink="registration" >Registration <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLink="login" >Login-Via-Google</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="file-upload" >File - upload</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="two-step">Two step verification</a>
        </li>
        <li *ngIf="user?.name" class="d-flex justify-content-end bg-white text-right marginclass ">
          <img [src]="user.photoUrl" class="image mt-1" alt="https://www.google.com/url?sa=i&url=https%3A%2F%2Ficons8.com%2Ficon%2FZeuRmaMzrwFj%2Fuser-not-found&psig=AOvVaw13okaE0NRdGHxkdXxszJYb&ust=1668493830902000&source=images&cd=vfe&ved=0CBAQjRxqFwoTCPiUg4OGrfsCFQAAAAAdAAAAABAE">
          <h3 class="border-0 p-2 m-0" > welcome {{user.firstName}}</h3>
        </li>
      
      </ul>
      
     
    </div>
  </nav>

<router-outlet></router-outlet>